获取应用参数
适用于:Chatflow、Workflow、Agent、聊天助手、旧版 Agent、文本生成应用。
返回应用的前端配置:开场白和建议问题、功能开关、用户输入表单,以及文件上传限制。用它来渲染应用的输入项并应用正确的上传限制。
1 min read
get/parameters
Request example
curl --request GET \
--url https://api.dify.ai/v1/parameters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dify.ai/v1/parameters"
headers = {
"Authorization": "Bearer <token>",
}
response = requests.request("GET", url, headers=headers)
print(response.text)const response = await fetch('https://api.dify.ai/v1/parameters', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
});
const data = await response.json();
console.log(data);<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://api.dify.ai/v1/parameters',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.dify.ai/v1/parameters"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.dify.ai/v1/parameters"))
.header("Authorization", "Bearer <token>")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());require 'uri'
require 'net/http'
url = URI('https://api.dify.ai/v1/parameters')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = url.scheme == 'https'
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyResponse
{
"annotation_reply": {
"enabled": false
},
"file_upload": {
"image": {
"detail": "high",
"enabled": true,
"number_limits": 3,
"transfer_methods": [
"remote_url",
"local_file"
]
}
},
"more_like_this": {
"enabled": false
},
"opening_statement": "Hello! How can I help you today?",
"retriever_resource": {
"enabled": true
},
"sensitive_word_avoidance": {
"enabled": false
},
"speech_to_text": {
"enabled": false
},
"suggested_questions": [
"What can you do?",
"Tell me about your features."
],
"suggested_questions_after_answer": {
"enabled": true
},
"system_parameters": {
"audio_file_size_limit": 50,
"file_size_limit": 15,
"image_file_size_limit": 10,
"video_file_size_limit": 100,
"workflow_file_upload_limit": 10
},
"text_to_speech": {
"autoPlay": "disabled",
"enabled": false,
"language": "en-US",
"voice": "alloy"
},
"user_input_form": [
{
"text-input": {
"default": "",
"label": "City",
"required": true,
"variable": "city"
}
}
]
}{
"code": "agent_not_published",
"message": "Agent has not been published. Please publish the Agent before using the API.",
"status": 400
}{
"code": "app_unavailable",
"message": "App unavailable, please check your app configurations.",
"status": 400
}get/parameters
Authorization
Responses
application/json
应用参数信息。
文件上传配置。
开场白文本。
知识检索引用资源配置。
Show child attributesHide child attributes
是否启用此功能。
内容审核功能配置。
Show child attributesHide child attributes
是否启用此功能。
建议问题列表。
回答后建议问题的配置。
Show child attributesHide child attributes
是否启用此功能。
系统级参数限制。
文字转语音功能配置。